This file lists the module dependencies for the project and their licenses.

1. Most of this module code is **not** redistributed, either in source or binary
form. Instead, it is downloaded automatically using package managers and linked
from the code. The module download includes the license and appropriate credit.

1. So our primary check here is for modules which do not have a license, or
which are GPL licensed.

The original project was created based on the ionic starter tabs template
https://github.com/ionic-team/ionic-starter-tabs
which is explicitly designed to provide a template for developers.

## Redistributed, modified javascript dependencies

These dependencies were checked in over time in order to support libraries that
did not have bower entries, or libraries that were modified with minor changes
based on bugs. TODO: Go through the modules, determine the changes and submit them as PRs 🚧

| Module | License | Original code |
|--------|---------|---------------|
| `www/manual_lib/angularjs-nvd3-directives` | Apache |
| `www/manual_lib/fontawesome` | Icons: CC BY 4.0, Code: MIT License | https://fontawesome.com |
| `www/manual_lib/ionic-datepicker` | MIT | https://github.com/rajeshwarpatlolla/ionic-datepicker |
| `www/manual_lib/leaflet` | BSD 2-clause | https://github.com/Leaflet/Leaflet | 
| `www/manual_lib/ui-leaflet` | MIT | https://github.com/angular-ui/ui-leaflet 🗄️ | 

## Javascript dependencies installed via bower

| Module | License |
|--------|---------|
| `www/lib/ionic` | MIT (from [`bower.json`](https://github.com/ionic-team/ionic-bower/blob/v1.3.0/bower.json)) |
| `www/lib/ionic-toast` | MIT |
| `www/lib/ngCordova` | MIT |
| `www/lib/moment` | MIT |
| `www/lib/moment-timezone` | MIT |
| `www/lib/Leaflet.awesome-markers` | MIT |
| `www/lib/angular` | MIT |
| `www/lib/angular-animate` | MIT |
| `www/lib/angular-sanitize` | MIT |
| `www/lib/angular-nvd3` | MIT |
| `www/lib/angularLocalStorage` | MIT |
| `www/lib/ng-walkthrough` | MIT |
| `www/lib/animate.css` | MIT |
| `www/lib/nz-tour` | MIT |
| `www/lib/leaflet-plugins` | MIT |
| `www/lib/angularjs-slider` | MIT |
| `www/lib/angular-translate` | MIT |
| `www/lib/angular-translate-loader-static-files` | MIT |
| `www/lib/angular-translate-interpolation-messageformat` | MIT |

## Javascript dependencies installed via npm `package.json`

Note that some of these are only required for development, not for proper operation.
Not sure whether we should list them or not, but it doesn't hurt.

| Module | License |
|--------|---------|
| phonegap | Apache |
| fs-extra | MIT |
| klaw-sync | MIT |

## Javascript dependencies installed via npm command line

| Module | License |
|--------|---------|
| cordova | Apache |
| bower   | MIT    |
| ionic   | MIT    |

## Cordova platforms, installed automatically

| Module | License |
|--------|---------|
| cordova-ios     | Apache |
| cordova-android | Apache |

## Cordova plugins, installed automatically

| Module | License |
|--------|---------|
| phonegap-plugin-push | MIT |
| ionic-plugin-keyboard | Apache |
| cordova-plugin-app-version | MIT    |
| cordova-plugin-file | Apache |
| cordova-plugin-device | Apache |
| cordova-plugin-whitelist | Apache |
| cordova-plugin-customurlscheme | MIT |
| cordova-plugin-email-composer | Apache |
| cordova-plugin-x-socialsharing | MIT |
| cordova-plugin-inappbrowser | Apache |
| de.appplant.cordova.plugin.local-notification-ios9-fix | Apache |
| cordova-plugin-ionic | MIT |
| edu.berkeley.eecs.emission.cordova.auth | BSD 3-clause |
| edu.berkeley.eecs.emission.cordova.comm | BSD 3-clause |
| edu.berkeley.eecs.emission.cordova.datacollection | BSD 3-clause |
| edu.berkeley.eecs.emission.cordova.serversync | BSD 3-clause |
| edu.berkeley.eecs.emission.cordova.settings | BSD 3-clause |
| edu.berkeley.eecs.emission.cordova.transitionnotify | BSD 3-clause |
| edu.berkeley.eecs.emission.cordova.unifiedlogger | BSD 3-clause |
| edu.berkeley.eecs.emission.cordova.usercache | BSD 3-clause |
